### Method

# Gtk Widget contains

#### Declaration [src]

    gboolean
    gtk_widget_contains (
      GtkWidget* widget,
      double x,
      double y
    )

#### Description [src]

Tests if a given point is contained in the widget.

The coordinates for (x, y) must be in widget coordinates, so (0, 0) is assumed to be the top left of `widget`‘s content area.

#### Parameters

`x`

  Type: `double`

  X coordinate to test, relative to `widget`‘s origin.

`y`

  Type: `double`

  Y coordinate to test, relative to `widget`‘s origin.

#### Return value

Type: `gboolean`

True if `widget` contains the point (x, y).